Core - Bug # 55359

Status: Resolved Priority: Must have

Author: Tobias Liegl Category: File Abstraction Layer (FAL)
Created: 2014-01-27 Assigned To:

Updated: 2014-02-05 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Image files with uppercase file extension don't work in element browser and content elements
Description

| have a 6.2 installation with some files with uppercase file extensions, e. g. 'myimage.JPG'. These files can be uploaded to the file list
within the backend module without problems. But when | try to insert such an image in a textpic-element, the element browser doesn't
show the files with uppercase file extensions. Only files with lowercased file extensions are shown.

In elements with an existing file reference (to a file with uppercased file extension), the reference gets deleted, after the element is
saved. The error message is always like this: "1: Attempt to modify record '34537' (sys_file_reference:34537) without permission. Or
non-existing page."

| tracked it down to this change:
https://review.typo3.org/#/c/26520/

Before this change everything works as expected. When applying it, the above described behaviour is there.

Related issues:

related to Core - Bug # 55614: FAL: FilelndexingTask fails to execute in TYPO... Resolved 2014-02-03
related to Core - Bug # 55514: Create new file or upload with Uppercase filen... Closed 2014-01-31
related to Core - Bug # 55544: Images with uppercase extension is not working... Closed 2014-02-01
related to Core - Bug # 55652: Upload a file with Uppercase letters --> Error... Closed 2014-02-04

Associated revisions

Revision b890e468 - 2014-02-05 19:40 - Ralf Zimmermann

[BUGFIX] Make FileExtensionFilter case insensitive

Resolves: #55359

Resolves: #55614

Releases: 6.2

Change-Id: 18aceb208ba2f28967f08e9ac458d9a9da3de507b
Reviewed-on: https://review.typo3.org/27359

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2014-01-27 14:52 - Tobias Liegl
- Target version set to 6.2.0

#2 - 2014-01-31 12:42 - Wolfgang Wagner
| can confirm this issue with the latest git version (31.01.2014).

#3 - 2014-02-02 00:02 - Bernhard Kraft

Confirmed also (6.2.0 beta4)

#4 - 2014-02-04 08:20 - Bjoern Jacob

| can confirm this even on the current master, see #55614.

#5 - 2014-02-05 19:40 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27359

#6 - 2014-02-05 20:30 - Ralf Zimmermann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b890e46858d5ec51ea764cca8a754dd88a36a5ff.
